package generala;

import java.util.Arrays;

public class Dado {

    private int[] dadosActuales = new int[5];

    public Dado() {

    }

    // ------------  Metodos  ------------
    public int[] getDados() {
        return dadosActuales;
    }

    public void setDados(int[] dadosActualizados) {
        this.dadosActuales = dadosActualizados;
    }

    public int[] generarNumerosAleatorios() {
        // Funcion que genera numeros aleatorios
        int[] dadosAleatorios = new int[5];
        for (int i = 0; i < 5; i++) {
            int randomNumber = (int) Math.floor((Math.random() * (6 + 1 - 1)) + 1);
            dadosAleatorios[i] = randomNumber;
        }
        
        Arrays.sort(dadosAleatorios);
        return dadosAleatorios;
    }
}
